using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models
{
    public class StartRideResponse
    {
        public int StatusCode { get; set; }
        public string Message { get; set; }

        [JsonPropertyName("passenger_name")]
        public string PassengerName { get; set; }
        [JsonPropertyName("is_corporate")]
        public bool IsCorporate { get; set; }
        [JsonPropertyName("end_address")]
        public string EndAddress { get; set; }
        [JsonPropertyName("end_suburb")]
        public string EndSuburb { get; set; }

        [JsonPropertyName("stopover_locations")]
        public List<StopoverLocations> StopoverLocations { get; set; }
        [JsonPropertyName("end_latitude")]
        public double EndLatitude { get; set; }
        [JsonPropertyName("end_longitude")]
        public double EndLongitude { get; set; }
        public string FullDestinationAddress { get; set; }

        [JsonPropertyName("payment_method_id")]
        public Guid? PaymentMethodId { get; set; }

        [JsonPropertyName("fixed_amount")]
        public decimal? FixedAmount { get; set; }
        public int FrameWidth { get; set; }
        public string DriverId { get; set; }
        public Guid BookingId { get; set; }
    }
}
